package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-28
 * @description : 应用添加更新
 */
@Data
public class PayApplicationAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String appName;

    /**
     * 类型 1 微信小程序
     */
    @ApiModelProperty(notes = "类型 1 微信小程序")
    private Integer type;

    /**
     * 应用appId
     */
    @ApiModelProperty(notes = "应用appId")
    private String appId;

    /**
     * 应用AppSecret
     */
    @ApiModelProperty(notes = "应用AppSecret")
    private String appSecret;

    /**
     * 应用原始id
     */
    @ApiModelProperty(notes = "应用原始id")
    private String ghId;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String loginName;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String loginPassword;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String managePerson;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
